Bug 6862 - Duplicate VOKAL icons can cause problems on Windows file system
Summary: Duplicate VOKAL icons can cause problems on Windows file system
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-09 15:02 UTC by Ian Walls
Modified: 2013-12-05 19:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (15.23 KB, patch)
2011-09-09 15:20 UTC, Ian Walls
Details | Diff | Splinter Review
Signed-off patch (15.33 KB, patch)
2011-09-30 18:32 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-09-09 15:02:30 UTC
There are two versions of the Book.png and Book-32px.png icons (one is 'Book' and the other "BOOK").  According to Fridolyn Somers' post to koha-devel on 12/08/10, this causes problems with Windows files systems.  At the view least, it's duplicating icons needlessly.
Comment 1 Ian Walls 2011-09-09 15:20:27 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-09-30 18:32:53 UTC
Created attachment 5670 [details] [review]
Signed-off patch
Comment 3 Ian Walls 2011-10-13 17:44:22 UTC
Removes duplicate files, and updates the database to be sure any usage of the deleted files now points to the correct names.  I'm the author of this, but I'm going to mark it as Passed QA unless anyone objects.
Comment 4 Chris Cormack 2011-10-13 22:46:39 UTC
I have objections it is a clean and simple patch, pushing
Comment 5 Jared Camins-Esakov 2012-05-23 12:19:28 UTC
Seems to work fine. Closing.